/*
 * Cueplot: a GUI front-end to gnuplot
 * Copyright (C) 2007 Muneyuki Noguchi
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation, 
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
#ifndef PLOT_TITLE_INCLUDED
#define PLOT_TITLE_INCLUDED

#include "CommandOption.h"

#include <QtCore/QString>

//! plot コマンドのオプション
class PlotTitle : public CommandOption
{
	public:
		PlotTitle();

		void setTitle(const QString &title);
		const QString &title() const;

		void setNoTitle(bool flag);
		bool isNoTitle() const;

		QString option() const;
	private:
		QString title_;
		bool isNoTitle_;
};
#endif // PLOT_TITLE_INCLUDED
