/*
 * Cueplot: a GUI front-end to gnuplot
 * Copyright (C) 2007 Muneyuki Noguchi
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation, 
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
#ifndef STYLE_FUNCTION_OPTION_WIDGET_INCLUDED
#define STYLE_FUNCTION_OPTION_WIDGET_INCLUDED

#include "OptionWidget.h"

class StyleFunction;

class QComboBox;

//! set style function コマンドのオプションを扱うウィジェット
class StyleFunctionOptionWidget : public OptionWidget
{
	Q_OBJECT

	public:
		explicit StyleFunctionOptionWidget(QWidget *parent = 0);
		~StyleFunctionOptionWidget();

		void construct();

	private:
		// don't implement these
		StyleFunctionOptionWidget(const StyleFunctionOptionWidget &);
		StyleFunctionOptionWidget &operator=(const StyleFunctionOptionWidget &);

		void init();
		void apply();
		void setWidget();
		StyleFunction *styleFunction;
		QComboBox *styleComboBox;
};
#endif // STYLE_FUNCTION_OPTION_WIDGET_INCLUDED
