/*
 * Cueplot: a GUI front-end to gnuplot
 * Copyright (C) 2007 Muneyuki Noguchi
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation, 
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
#ifndef AXIS_RANGE_INCLUDED
#define AXIS_RANGE_INCLUDED

#include "Option.h"

#include <QtCore/QList>
#include <QtCore/QString>

//! set {axis}data コマンド
class AxisData : public Option
{
	public:
		AxisData();

		void setTime(int axis, bool time);
		bool isTime(int axis) const;

		QString command() const;

		//! 軸
		static const QString AXIS[];
	private:
		QList<bool> timeList;
};
#endif // AXIS_RANGE_INCLUDED
