/*
 * Cueplot: a GUI front-end to gnuplot
 * Copyright (C) 2007 Muneyuki Noguchi
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation, 
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
#include "Format.h"

#include <QtCore/QStringList>

const QString Format::AXIS[] = {
	"x", "y", "z", "x2", "y2", "cb", ""
};

Format::Format()
{
	for (int i = 0; !AXIS[i].isEmpty(); i++) {
		formatList.append("% g");
	}
}

void Format::setFormatString(int axis, const QString &str)
{
	formatList[axis] = str;
}

const QString &Format::formatString(int axis) const
{
	return formatList.at(axis);
}

QString Format::command() const
{
	QStringList commandList;
	for (int i = 0; !AXIS[i].isEmpty(); i++) {
		commandList << "set format " + AXIS[i] 
			+ " \"" + formatList.at(i) + "\"";
	}
	return commandList.join("\n");
}
